Bug 869099 - Repo publish always seems to say '0/0 items' in 'Publishing Packages' tracking even though publishing is successful
Repo publish always seems to say '0/0 items' in 'Publishing Packages' trackin...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Pradeep Kilambi
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 23:03 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:05:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2012-10-22 23:03:08 EDT
Description of problem:


$ pulp-admin rpm repo publish run --repo-id test-pulp
+----------------------------------------------------------------------+
                   Publishing Repository [test-pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

...

Also during sync,

$ pulp-admin rpm repo sync run --repo-id test-pulp+----------------------------------------------------------------------+
                  Synchronizing Repository [test-pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       40/40 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

...


Expected results:

Publishing packages...
[==================================================] 100%
Packages: 40/40 items
... completed
Comment 1 Pradeep Kilambi 2012-11-29 11:18:08 EST
commit 19335ebcc032b255c23d7bb165a0baceaa7890b5
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Thu Nov 29 09:51:52 2012 -0500

    869099 - fix to the plugin progress callback so delta rpm progress doesnt override rpm progress
Comment 2 Jeff Ortel 2012-12-07 10:29:51 EST
build: 2.0.6-0.12.beta
Comment 3 Preethi Thomas 2012-12-11 08:36:34 EST
[root@preethi-el6-pulp ~]# rpm -q pulp-server
pulp-server-2.0.6-0.14.beta.noarch
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin rpm repo publish run --repo-id fedora16
+----------------------------------------------------------------------+
                    Publishing Repository [fedora16]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 3107/3107 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 6/6 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed

Publishing repository over HTTP
[-]
... skipped

[root@preethi-el6-pulp ~]#
Comment 4 Preethi Thomas 2013-01-09 12:05:03 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.